List Queues
get
/queues
Return a listing of all queues in the service instance.
Request
There are no request parameters for this operation.
Back to TopResponse
Supported Media Types
- application/json
- application/xml
200 Response
Name, status and link of each queue are returned
Root Schema : queues
Type:
objectInfo of a list of queues.
Show Source
-
canonicalLink:
string
relative path to queue list
-
items(optional):
array items
Minimum Number of Items:
1Unique Items Required:true
Nested Schema : items
Type:
arrayMinimum Number of Items:
1Unique Items Required:
Show Source
true-
Array of:
object items
A single queue info
Nested Schema : items
Type:
objectA single queue info
Show Source
-
canonicalLink:
string
relative path to queue.
-
name:
string
queue name
-
status:
string
Allowed Values:
[ "PROVISIONED", "MARK_FOR_DELETION" ]queue status, either PROVISIONED or MARK_FOR_DELETION
Example Response (application/json)
{
"items":[
{
"name":"queueName1",
"status":"PROVISIONED",
"canonicalLink":"relative path to queue"
},
{
"name":"queueName2",
"status":"MARK_FOR_DELETION",
"canonicalLink":"relative path to queue"
}
],
"canonicalLink":"relative path to queue list"
}
Examples
cURL Command
cookie=/tmp/messaging-cookie
curl -s -u $USER:$PASS -c $cookie -b $cookie \
-H "X-OC-ID-TOKEN-STATUS: disabled" \
-X GET "https://messaging.us2.oraclecloud.com/myService-myTenant/api/v1/queues"
There is no request body to submit with the HTTP request.
Example of Response Body
{
"canonicalLink" : "/myService-myTenant/api/v1/queues"
, "items":
[
{
"canonicalLink" : "/myService-myTenant/api/v1/queues/myFirstQueue"
, "name" : "myFirstQueue"
, "status" : "PROVISIONED"
}
]
}
Back to Top